Package org.jbpm.services.task.internals.lifecycle

## Enum Allowed

- java.lang.Object
- - java.lang.Enum<Allowed>
  - - org.jbpm.services.task.internals.lifecycle.Allowed

- All Implemented Interfaces:
    `Serializable`, `Comparable<Allowed>`

      public enum Allowed
      extends Enum<Allowed>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Anyone` |
    `BusinessAdministrator` |
    `Initiator` |
    `Owner` |
    `PotentialOwner` |
    `TaskStakeholders` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Allowed` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Allowed[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Owner

          public static final Allowed Owner

    - #### Initiator

          public static final Allowed Initiator

    - #### PotentialOwner

          public static final Allowed PotentialOwner

    - #### BusinessAdministrator

          public static final Allowed BusinessAdministrator

    - #### TaskStakeholders

          public static final Allowed TaskStakeholders

    - #### Anyone

          public static final Allowed Anyone

  - ### Method Detail

    - #### values

          public static Allowed[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Allowed c : Allowed.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Allowed valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null